package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZuserToken;

import java.util.List;

/**
 * tokenService接口
 *
 * @author mingxue
 * @date 2021-06-15
 */
public interface IZuserTokenService
{
    /**
     * 查询token
     *
     * @param id tokenID
     * @return token
     */
    public ZuserToken selectZuserTokenById(Integer id);

    public ZuserToken selectZuserTokenByUserId(Long userId);

    /**
     * 查询token列表
     *
     * @param zuserToken token
     * @return token集合
     */
    public List<ZuserToken> selectZuserTokenList(ZuserToken zuserToken);

    public List<ZuserToken> selectTopZuserTokenList(ZuserToken zuserToken);

    /**
     * 新增token
     *
     * @param zuserToken token
     * @return 结果
     */
    public int insertZuserToken(ZuserToken zuserToken);

    /**
     * 修改token
     *
     * @param zuserToken token
     * @return 结果
     */
    public int updateZuserToken(ZuserToken zuserToken);

    /**
     * 批量删除token
     *
     * @param ids 需要删除的tokenID
     * @return 结果
     */
    public int deleteZuserTokenByIds(Long[] ids);

    /**
     * 删除token信息
     *
     * @param id tokenID
     * @return 结果
     */
    public int deleteZuserTokenById(Long id);
}
